# GstTocSetter

Element interface that allows setting of the TOC.

Elements that support some kind of chapters or editions (or tracks like in the FLAC cue sheet) will implement this interface.

If you just want to retrieve the TOC in your application then all you need to do is watch for TOC messages on your pipeline's bus (or you can perform TOC query). This interface is only for setting TOC data, not for extracting it. To set TOC from the application, find proper tocsetter element and set TOC using gst_toc_setter_set_toc.

Elements implementing the GstTocSetter interface can extend existing TOC by getting extend UID for that (you can use gst_toc_find_entry to retrieve it) with any TOC entries received from downstream.

### Methods

The results of the search are